Loading...
Searching...
No Matches
Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside > Struct Template Reference

`#include <dune/grid-glue/adapter/intersection.hh>`

Inheritance diagram for Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >:

## Public Types

using | GridGlue = ::Dune::GridGlue::GridGlue<P0, P1>
using | IntersectionData = Dune::GridGlue::IntersectionData<P0, P1>
using | InsideGridView = typename GridGlue::template GridView<inside>
using | OutsideGridView = typename GridGlue::template GridView<outside>
using | InsideLocalGeometry = typename IntersectionData::template GridLocalGeometry<inside>
using | OutsideLocalGeometry = typename IntersectionData::template GridLocalGeometry<outside>
using | Geometry = typename IntersectionData::template GridGeometry<inside>
using | OutsideGeometry = typename IntersectionData::template GridGeometry<outside>
using | ctype = typename GridGlue::ctype
using | LocalCoordinate = Dune::FieldVector<ctype, mydim>
using | GlobalCoordinate = Dune::FieldVector<ctype, coorddim>

## Static Public Attributes

static constexpr auto | coorddim = IntersectionData::coorddim
static constexpr auto | mydim = IntersectionData::mydim
static constexpr int | insidePatch = inside
static constexpr int | outsidePatch = outside

## Detailed Description

template<typename P0, typename P1, int inside, int outside>
struct Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >

Todo
  doc me

## Member Typedef Documentation

## ctype

template<typename P0, typename P1, int inside, int outside>

using Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >::ctype = typename GridGlue::ctype

## Geometry

template<typename P0, typename P1, int inside, int outside>

using Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >::Geometry = typename IntersectionData::template GridGeometry<inside>

## GlobalCoordinate

template<typename P0, typename P1, int inside, int outside>

using Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >::GlobalCoordinate = Dune::FieldVector<ctype, coorddim>

## GridGlue

template<typename P0, typename P1, int inside, int outside>

using Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >::GridGlue = ::Dune::GridGlue::GridGlue<P0, P1>

## InsideGridView

template<typename P0, typename P1, int inside, int outside>

using Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >::InsideGridView = typename GridGlue::template GridView<inside>

## InsideLocalGeometry

template<typename P0, typename P1, int inside, int outside>

using Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >::InsideLocalGeometry = typename IntersectionData::template GridLocalGeometry<inside>

## IntersectionData

template<typename P0, typename P1, int inside, int outside>

using Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >::IntersectionData = Dune::GridGlue::IntersectionData<P0, P1>

## LocalCoordinate

template<typename P0, typename P1, int inside, int outside>

using Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >::LocalCoordinate = Dune::FieldVector<ctype, mydim>

## OutsideGeometry

template<typename P0, typename P1, int inside, int outside>

using Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >::OutsideGeometry = typename IntersectionData::template GridGeometry<outside>

## OutsideGridView

template<typename P0, typename P1, int inside, int outside>

using Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >::OutsideGridView = typename GridGlue::template GridView<outside>

## OutsideLocalGeometry

template<typename P0, typename P1, int inside, int outside>

using Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >::OutsideLocalGeometry = typename IntersectionData::template GridLocalGeometry<outside>

## Member Data Documentation

## coorddim

template<typename P0, typename P1, int inside, int outside>

auto Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >::coorddim = IntersectionData::coorddim

static constexpr

## insidePatch

template<typename P0, typename P1, int inside, int outside>

int Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >::insidePatch = inside

static constexpr

## mydim

template<typename P0, typename P1, int inside, int outside>

auto Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >::mydim = IntersectionData::mydim

static constexpr

## outsidePatch

template<typename P0, typename P1, int inside, int outside>

int Dune::GridGlue::IntersectionTraits< P0, P1, inside, outside >::outsidePatch = outside

static constexpr

The documentation for this struct was generated from the following file:

- intersection.hh